
#ifndef VIDEO_H
#define VIDEO_H

#include <SDL.h>

class Video
{
    public:
        Video();
        void start(int width = 0, int height = 0,
                   bool fullscreen = true, bool grab_input = true,
                   int samples = 4);
        void stop();
        int getDefaultWidth() { return m_defaultWidth; }
        int getDefaultHeight() { return m_defaultHeight; }
        void toggleFullScreen() { SDL_WM_ToggleFullScreen(m_surface); }
        int getWidth() { return m_width; }
        int getHeight() { return m_height; }
        SDL_Surface * getSurface() { return m_surface; }

    protected:
        int m_defaultWidth;
        int m_defaultHeight;
        int m_width;
        int m_height;
        SDL_Surface * m_surface;
        bool m_fullscreen;
        bool m_inputGrabbed;
};

#endif
